%define name gpass
%define version 0.5.1
%define release %mkrel 1

Summary:       A password manager for the GNOME desktop
Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       GPL
Group:         Databases
Source:        %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: libmhash-devel
BuildRequires: libglade2.0-devel 
BuildRequires: libmcrypt-devel
BuildRequires: libGConf2-devel
BuildRequires: libgnomeui2-devel
BuildRequires: perl(XML::Parser)

%description
The GNOME Password Manager - GPass for short - is a simple application,
written for the GNOME 2 desktop, that lets you manage a collection of
passwords. The password collection is stored in an encrypted file,
protected by a master-password.

%prep
%setup -q

%build
export LDFLAGS="-Wl,--export-dynamic"
%configure2_5x
%make 

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%makeinstall PIXMAPS_DIR=$RPM_BUILD_ROOT/usr/share/pixmaps
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%find_lang %name

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%post_install_gconf_schemas %name
%update_desktop_database
%update_mime_database
%update_menus

%preun
%preun_uninstall_gconf_schemas %name

%postun
sbin/ldconfig
%clean_mime_database
%clean_desktop_database
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README NEWS TODO
%{_bindir}/*
%{_datadir}/gpass/*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/gpass.schemas
%{_mandir}/man1/gpass*
%{_datadir}/pixmaps/gpass-icon.png



%changelog
* Sat Dec 09 2006 don_crissti <don_crissti@gmx.com> 0.5.1-1pclos2007
- build for PCLinuxOS

